### Method

# WebKit2 ScriptDialog ref

since: 2.24

#### Declaration [src]

    WebKitScriptDialog*
    webkit_script_dialog_ref (
      WebKitScriptDialog* dialog
    )

#### Description [src]

Atomically increments the reference count of `dialog` by one.

This function is MT-safe and may be called from any thread.

Available since: 2.24

#### Return value

Type: `WebKitScriptDialog`

The passed in `WebKitScriptDialog`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.